package com.heyu.api.data.service.impl.ota;
/**
* <p>
* OTA升级记录 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.ota.OtaRecordDao;
import com.heyu.api.data.entity.ota.OtaRecordEntity;
import com.heyu.api.data.service.ota.OtaRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class OtaRecordServiceImpl extends ServiceImpl<OtaRecordDao, OtaRecordEntity> implements OtaRecordService {


    @Autowired
	private OtaRecordDao otaRecordDao;



	@Override
	public OtaRecordEntity selectOtaRecordById(Long id){
		return otaRecordDao.selectOtaRecordById(id);
	}



	@Override
	public Long insertOtaRecord(OtaRecordEntity otaRecord){
		return otaRecordDao.insertOtaRecord(otaRecord);
	}



	@Override
	public Long insertOrUpdateOtaRecord(OtaRecordEntity otaRecord){
		return otaRecordDao.insertOrUpdateOtaRecord(otaRecord);
	}



	@Override
	public int updateOtaRecordById(OtaRecordEntity otaRecord){
		return otaRecordDao.updateOtaRecordById(otaRecord);
	}



	@Override
	public int updateCoverOtaRecordById(OtaRecordEntity otaRecord){
		return otaRecordDao.updateCoverOtaRecordById(otaRecord);
	}



	@Override
	public int deleteOtaRecordById(Long id){
		return otaRecordDao.deleteOtaRecordById(id);
	}



}
